Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/pssh: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Mon, 15 Sep 2014 10:26:59 +0000

https://code.google.com/p/parallel-ssh/
PSSH provides parallel versions of OpenSSH and related tools: pssh, pscp, prsync, pnuke, and pslurp
---
 testing/pssh/APKBUILD | 46 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 46 insertions(+)
 create mode 100644 testing/pssh/APKBUILD
diff --git a/testing/pssh/APKBUILD b/testing/pssh/APKBUILD
new file mode 100644
index 0000000..f35b755
--- /dev/null
+++ b/testing/pssh/APKBUILD
_at_@ -0,0 +1,46 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=pssh
+pkgver=2.3.1
+pkgrel=0
+pkgdesc="PSSH provides parallel versions of OpenSSH and related tools: pssh, pscp, prsync, pnuke, and pslurp"
+url="https://code.google.com/p/parallel-ssh/"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev"
+install=""
+subpackages="$pkgname-doc"
+source="https://parallel-ssh.googlecode.com/files/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="${srcdir}"/"${pkgname}"-"${pkgver}"
+prepare() {
+   local i
+   cd "$_builddir"
+   for i in $source; do
+       case $i in
+       *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+       esac
+   done
+}
+
+build() {
+   cd "$_builddir"
+   python setup.py build || return 1
+}
+
+package() {
+   cd "$_builddir"
+   python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+
+   install -d "${pkgdir}"/usr/libexec/pssh
+   mv "${pkgdir}"/usr/bin/pssh-askpass "${pkgdir}"/usr/libexec/pssh
+
+   install -d "${pkgdir}"/usr/share
+   mv "${pkgdir}"/usr/man  "${pkgdir}"/usr/share
+}
+
+md5sums="53e70d53064f658bf8f44880340e8e5c  pssh-2.3.1.tar.gz"
+sha256sums="539f8d8363b722712310f3296f189d1ae8c690898eca93627fc89a9cb311f6b4  pssh-2.3.1.tar.gz"
+sha512sums="c39e1c2b0a3bc2bd736f1e7d2f402db6a128e81d6a80ce7e97f39e7fae93f7a20037b43b5725bed5ba911f54e36a9b65c509d858a53c696989b76b1322e7680f  pssh-2.3.1.tar.gz"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Sep 15 2014 - 10:17:25 GMT